Package org.opensaml.soap.wspolicy.impl

# Class PolicyBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<T>
org.opensaml.soap.wspolicy.impl.AbstractWSPolicyObjectBuilder<Policy>
org.opensaml.soap.wspolicy.impl.PolicyBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<Policy>`, `WSPolicyObjectBuilder<Policy>`

public class PolicyBuilder extends AbstractWSPolicyObjectBuilder<Policy>
Builder for the Policy element.

## Constructor Summary

Constructors
Constructor
Description
`PolicyBuilder()`

## Method Summary

Modifier and Type
Method
Description
`Policy`
`buildObject()`
Builds a WS-Policy object.
`Policy`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### PolicyBuilder

public PolicyBuilder()

## Method Details

### buildObject

@Nonnull public Policy buildObject()
Builds a WS-Policy object.

Specified by:
  `buildObject` in interface `WSPolicyObjectBuilder<Policy>`
Specified by:
  `buildObject` in class `AbstractWSPolicyObjectBuilder<Policy>`
Returns:
  the built object

### buildObject

@Nonnull public Policy buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<Policy>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<Policy>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject